class GlossaryTermsController < ApplicationController
  # GET /glossary_terms
  # GET /glossary_terms.xml
  def index
    @terms = GlossaryTerm.find(:all, :order => :term)

    respond_to do |format|
      format.html # index.rhtml
      format.xml  { render :xml => @terms.to_xml }
    end
  end

  # GET /glossary_terms/1
  # GET /glossary_terms/1.xml
  def show
    @term = GlossaryTerm.find(params[:id])

    respond_to do |format|
      format.html # show.rhtml
      format.xml  { render :xml => @term.to_xml }
    end
  end

  # GET /glossary_terms/new
  def new
    @term = GlossaryTerm.new
  end

  # GET /glossary_terms/1;edit
  def edit
    @term = GlossaryTerm.find(params[:id])
  end

  # POST /glossary_terms
  # POST /glossary_terms.xml
  def create
    @term = GlossaryTerm.new(params[:term])

    respond_to do |format|
      if @term.save
        flash[:notice] = "Term '#{@term.term}' has been added."
        format.html { redirect_to glossary_terms_path }
        format.xml  { head :created, :location => glossary_term_url(@term) }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @term.errors.to_xml }
      end
    end
  end

  # PUT /glossary_terms/1
  # PUT /glossary_terms/1.xml
  def update
    @term = GlossaryTerm.find(params[:id])

    respond_to do |format|
      if @term.update_attributes(params[:term])
        flash[:notice] = "Glossary term was successfully updated."
        format.html { redirect_to glossary_terms_path }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @term.errors.to_xml }
      end
    end
  end

  # DELETE /glossary_terms/1
  # DELETE /glossary_terms/1.xml
  def destroy
    @term = GlossaryTerm.find(params[:id])
    @term.destroy

    respond_to do |format|
      format.html { redirect_to glossary_terms_url }
      format.xml  { head :ok }
    end
  end
end
