require File.dirname(__FILE__) + '/../test_helper'
require 'glossary_terms_controller'

# Re-raise errors caught by the controller.
class GlossaryTermsController; def rescue_action(e) raise e end; end

class GlossaryTermsControllerTest < Test::Unit::TestCase
  fixtures :glossary_terms

  def setup
    @controller = GlossaryTermsController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new
  end

  # Replace this with your real tests.
  def test_index
    get :index
    assert_template "index"
    assert_response :success
  end

  def test_new
    get :new
    assert_template "new"
  end

  def test_create
    count_before = GlossaryTerm.count
    post :create, :term => { :term => "model",
      :definition => "the act of representing something"}
    assert_redirected_to :action => "index"
    assert_equal "Term 'model' has been added.", flash[:notice]
    assert_equal GlossaryTerm.count - 1, count_before
  end

  def test_create_invalid_term
    count_before = GlossaryTerm.count
    post :create, :term => { :term => "",
      :definition => "the act of representing something" }
    assert_template "new"
    assert_equal GlossaryTerm.count, count_before
  end

  def test_show
    get :show, :id => 1
    assert_template "show"
    assert_equal glossary_terms(:test), assigns["term"]
  end

  def test_edit
    get :edit, :id => 1
    assert_template "edit"
    assert_not_nil assigns["term"]
  end

  def test_update
    put :update, :id => 1, :term => { :term => "modelling",
      :definition => "the act of representing something" }
    assert_redirected_to :action => "index"
    assert_equal "Glossary term was successfully updated.", flash[:notice]
  end

  def test_update_with_invalid_data
    post :update, :id => 1, :term => { :term => "", :definition => "" }
    assert_template "edit"
  end

  def test_destroy
    count_before = GlossaryTerm.count
    delete :destroy, :id => 1
    assert_redirected_to :action => "index"
    assert_equal GlossaryTerm.count + 1, count_before
  end

end
